---
title: WebGL2RenderingContext.getSamplerParameter()
slug: Web/API/WebGL2RenderingContext/getSamplerParameter
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGL2
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGL2RenderingContext.getSamplerParameter()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL 2 API</a> returns parameter information of a {{domxref("WebGLSampler")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">any <var>gl</var>.getSamplerParameter(<var>sampler</var>, <var>pname</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>sampler</dt>
 <dd>A {{domxref("WebGLSampler")}} object.</dd>
 <dt><code>pname</code></dt>
 <dd>A {{domxref("GLenum")}} specifying which information to return. Possible values:
 <ul>
  <li><code>gl.TEXTURE_COMPARE_FUNC</code>: Returns a {{domxref("GLenum")}} indicating the texture comparison function.</li>
  <li><code>gl.TEXTURE_COMPARE_MODE</code>: Returns a {{domxref("GLenum")}} indicating the texture comparison mode.</li>
  <li><code>gl.TEXTURE_MAG_FILTER</code>: Returns a {{domxref("GLenum")}} indicating the texture magnification filter.</li>
  <li><code>gl.TEXTURE_MAX_LOD</code>: Returns a {{domxref("GLfloat")}} indicating the maximum level-of-detail value.</li>
  <li><code>gl.TEXTURE_MIN_FILTER</code>: Returns a {{domxref("GLenum")}} indicating the texture minification filter</li>
  <li><code>gl.TEXTURE_MIN_LOD</code>: Returns a {{domxref("GLfloat")}} indicating the minimum level-of-detail value.</li>
  <li><code>gl.TEXTURE_WRAP_R</code>: Returns a {{domxref("GLenum")}} indicating the texture wrapping function for the texture coordinate r.</li>
  <li><code>gl.TEXTURE_WRAP_S</code>: Returns a {{domxref("GLenum")}} indicating the texture wrapping function for the texture coordinate s.</li>
  <li><code>gl.TEXTURE_WRAP_T</code>: Returns a {{domxref("GLenum")}} indicating the texture wrapping function for the texture coordinate t.</li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>Depends on the <code>pname</code> parameter, either a {{domxref("GLenum")}} or a {{domxref("GLfloat")}}.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var sampler = gl.createSampler();
gl.getSamplerParameter(sampler, gl.TEXTURE_COMPARE_FUNC);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL2', "#3.7.13", "getSamplerParameter")}}</td>
   <td>{{Spec2('WebGL2')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 3.0', "glGetSamplerParameter.xhtml", "glGetSamplerParameter")}}</td>
   <td>{{Spec2('OpenGL ES 3.0')}}</td>
   <td>Man page of the (similar) OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGL2RenderingContext.getSamplerParameter")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLSampler")}}</li>
</ul>
